cURL
curl --request GET \
--url https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status \
--header 'apikey: <api-key>' \
--header 'secretkey: <api-key>'const options = {method: 'GET', headers: {apikey: '<api-key>', secretkey: '<api-key>'}};
fetch('https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status"
headers = {
"apikey": "<api-key>",
"secretkey": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("apikey", "<api-key>");
request.AddHeader("secretkey", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("secretkey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apikey: <api-key>",
"secretkey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gameball.co/api/v4.0/integrations/batches/{batchId}/status")
.header("apikey", "<api-key>")
.header("secretkey", "<api-key>")
.asString();{
"batchId": "<string>",
"progress": 123,
"totalItems": 123,
"processedItems": 123,
"failedItems": 123,
"results": "<array>",
"errors": "<array>"
}Check Batch Status
Monitor batch job status and results for ongoing batch operations.
GET
/
api
/
v4.0
/
integrations
/
batches
/
{batchId}
/
status
cURL
 This endpoint allows you to track the progress of batch jobs and retrieve detailed results and error information.Path Parameters
Unique identifier for the batch operation
Was this page helpful?
⌘I